%ifarch ppc64 ppc64le
# workaround #1224945
%undefine _hardened_build
%endif
%global bootstrap 0
%if 0%{?el6}
# see https://fedorahosted.org/fpc/ticket/395, it was added to el7
%global mono_arches %{ix86} x86_64 sparc sparcv9 ia64 %{arm} alpha s390x ppc ppc64 ppc64le
%global _monodir %{_prefix}/lib/mono
%global _monogacdir %{_monodir}/gac
%endif
%if 0%{?rhel}%{?el6}%{?el7}
# to resolve: "ERROR: No build ID note found"
%undefine _missing_build_ids_terminate_build
%endif

Name:           mono
Version:        4.8.0
Release:        7%{?dist}
Summary:        Cross-platform, Open Source, .NET development framework

Group:          Development/Languages
License:        MIT
URL:            http://www.mono-project.com
Source0:        http://download.mono-project.com/sources/mono/mono-%{version}.520.tar.bz2
# This key was generated by Tom "spot" Callaway <tcallawa@redhat.com> on Dec 1, 2009
# by running the following command:
# sn -k mono.snk
# You should not regenerate this unless you have a really, really, really good reason.
Source1:        mono.snk
Patch0:         mono-4.0.0-ignore-reference-assemblies.patch
Patch1:         mono-4.2.1-ppc.patch
Patch2:         mono-4.3.2-find-provides.patch
Patch3:         mono-4.2-fix-winforms-trayicon.patch
Patch4:         mono-4.6.0-patch_arm_fast_tls.patch
Patch5:         mono-4.6.1-aarch64.patch

BuildRequires:  bison
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  gettext-devel
BuildRequires:  libicu-devel
BuildRequires:  libgdiplus-devel >= 2.10
BuildRequires:  pkgconfig
BuildRequires:  valgrind-devel
BuildRequires:  zlib-devel

# Yes, mono actually depends on itself, because
# we deleted the bootstrapping binaries. If you
# need to bootstrap mono, comment out this BuildRequires
# and don't delete the binaries in %%prep.

%if 0%{bootstrap}
# for bootstrap, use bundled monolite instead of local mono
%else
BuildRequires:  mono-core >= 4.0
%endif

# JIT only available on these:
ExclusiveArch: %mono_arches

%global _use_internal_dependency_generator 0
%global __find_provides env sh -c 'filelist=($(cat)) && { printf "%s\\n" "${filelist[@]}" | /usr/lib/rpm/redhat/find-provides && printf "%s\\n" "${filelist[@]}" | prefix=%{buildroot}%{_prefix} %{buildroot}%{_bindir}/mono-find-provides; } | sort | uniq'
%global __find_requires env sh -c 'filelist=($(cat)) && { printf "%s\\n" "${filelist[@]}" | /usr/lib/rpm/redhat/find-requires && printf "%s\\n" "${filelist[@]}" | prefix=%{buildroot}%{_prefix} %{buildroot}%{_bindir}/mono-find-requires; } | sort | uniq | grep ^...'

%description
The Mono runtime implements a JIT engine for the ECMA CLI
virtual machine (as well as a byte code interpreter, the
class loader, the garbage collector, threading system and
metadata access libraries.

%package core
Summary:        The Mono CIL runtime, suitable for running .NET code
Group:          Development/Languages
Requires:       libgdiplus

%description core
This package contains the core of the Mono runtime including its
Virtual Machine, Just-in-time compiler, C# compiler, security
tools and libraries (corlib, XML, System.Security, ZipLib,
I18N, Cairo and Mono.*).

%package winfx
Summary:        Mono implementation of core WinFX APIs
Group:          Development/Languages
Requires:       mono-core = %{version}-%{release}

%description winfx
Open source implementation of core WinFX APIs

%package mvc
Summary:        Mono implementation of ASP.NET MVC
Group:          Development/Languages
Requires:       mono-core = %{version}-%{release}

%description mvc
This is the Mono implementation of ASP.NET MVC

%package mvc-devel
Summary:        Development files for  ASP.NET MVC
Group:          Development/Languages
Requires:       mono-core = %{version}-%{release}

%description mvc-devel
This is the Mono implementation of ASP.NET MVC

%package devel
Summary:        Development tools for Mono
Group:          Development/Languages
Requires:       mono-core = %{version}-%{release}
Requires:       pkgconfig
Requires:       glib2-devel

%description devel
This package completes the Mono developer toolchain with the mono profiler,
assembler and other various tools.

%package locale-extras
Summary:        Extra locale information for Mono
Group:          Development/Languages
Requires:       mono-core = %{version}-%{release}

%description locale-extras
This package contains assemblies to support I18N applications for
non-latin alphabets.

%package extras
Summary:        Provides the infrastructure for running and building daemons and services with Mono as well as various stub assemblies
Group:          Development/Languages
Requires:       mono-core = %{version}-%{release}

%description extras
This package provides the library and application to run services
and daemons with Mono. It also includes stubs for the following
assemblies: Microsoft.Vsa,
System.Configuration.Install, System.Management, System.Messaging.

%package reactive
License:        MIT License (or similar) ; Apache License 2.0
Summary:        Reactive Extensions for Mono core libraries
Group:          Development/Languages
Requires:       mono-core = %{version}-%{release}

%description reactive
Reactive Extensions for Mono, this packages don't depend on
desktop-specific features.

%package reactive-winforms
License:        MIT License (or similar) ; Apache License 2.0
Summary:        Reactive Extensions for Mono desktop-specific libraries
Group:          Development/Languages
Requires:       mono-core = %{version}-%{release}
Requires:       mono-reactive = %{version}-%{release}

%description reactive-winforms
Reactive Extensions for Mono, desktop-specific packages (winforms,
windows threading).

%package reactive-devel
Summary:        Development files for system.web
Group:          Development/Languages
Requires:       mono-core = %{version}-%{release}
Requires:       mono-reactive = %{version}-%{release} pkgconfig

%description reactive-devel
This package provides the .pc file for mono-rx

%package winforms
Summary:        Windows Forms implementation for Mono
Group:          Development/Languages
Requires:       mono-core = %{version}-%{release}

%description winforms
This package provides a fully managed implementation of
System.Windows.Forms, the default graphical toolkit for .NET
applications.

%package wcf
Summary:        Mono implementation of Windows Communication Foundation
Group:          Development/Languages
Requires:       mono-core = %{version}-%{release}

%description wcf
This package provides an implementation of WCF, the Windows Communication
Foundation.

%package web
Summary:        ASP.NET, Remoting, and Web Services for Mono
Group:          Development/Languages
Requires:       mono-core = %{version}-%{release}

%description web
This package provides the ASP.NET libraries and runtime for
development of web application, web services and remoting support.

%package web-devel
Summary:        Development files for system.web
Group:          Development/Languages
Requires:       mono-core = %{version}-%{release}
Requires:       mono-web = %{version}-%{release} pkgconfig

%description web-devel
This package provides the .pc file for mono-web

%package data
Summary:        Database connectivity for Mono
Group:          Development/Languages
Requires:       mono-core = %{version}-%{release}

%description data
This package provides a Mono assembly to facilitate data access
and manipulation with databases, LDAP compatible directory servers
and/or XML data exchange. Beyond the ADO.NET, Novell.LDAP and
System.DirectoryServices assemblies, it also includes a command
line sql application as well as the Microsoft SQL Server and ODBC
data providers.

%package data-sqlite
Summary:        sqlite database connectivity for Mono
Group:          Development/Languages
Requires:       mono-core = %{version}-%{release}
Requires:       sqlite

%description data-sqlite
This package contains the ADO.NET Data provider for the sqlite
database.

%package data-oracle
Summary:        Oracle database connectivity for Mono
Group:          Development/Languages
Requires:       mono-core = %{version}-%{release}

%description data-oracle
This package contains the ADO.NET Data provider for the Oracle
database.

%package -n ibm-data-db2
Summary:        IBM DB2 database connectivity for Mono
Group:          Development/Languages
Requires:       mono-core = %{version}-%{release}

%description -n ibm-data-db2
This package contains the ADO.NET Data provider for the IBM DB2
Universal database.

%package -n monodoc
Summary:        The mono documentation system
Group:          Documentation
Requires:       mono-core = %{version}-%{release}

%description -n monodoc
monodoc is the documentation package for the mono .NET environment

%package -n monodoc-devel
Summary:        .pc file for monodoc
Group:          Documentation
Requires:       monodoc = %{version}-%{release} pkgconfig
Requires:       mono-core = %{version}-%{release}

%description -n monodoc-devel
Development file for monodoc

%global gac_dll(dll)  %{_monogacdir}/%{1} \
  %{_monodir}/4.5/%{1}.dll \
  %{nil}
%global mono_bin(bin) %{_bindir}/%{1} \
  %{_monodir}/4.5/%{1}.exe \
  %{_monodir}/4.5/%{1}.exe.* \
  %{nil}

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

# Add undeclared Arg
sed -i "61a #define ARG_MAX     _POSIX_ARG_MAX" mono/io-layer/wapi_glob.h

# Remove hardcoded lib directory for libMonoPosixHelper.so from the config
sed -i 's|$mono_libdir/||g' data/config.in

# Remove prebuilt binaries
find . -name "*.dll" -not -path "./mcs/class/lib/monolite/*" -print -delete
find . -name "*.exe" -not -path "./mcs/class/lib/monolite/*" -print -delete
%if 0%{bootstrap}
# for bootstrap, keep monolite. Mono 2.10 is too old to compile Mono 4.0
%else
rm -rf mcs/class/lib/monolite/*
%endif

%build
%ifarch s390x
# workaround a gcc bug - https://bugzilla.redhat.com/show_bug.cgi?id=1397948
RPM_OPT_FLAGS=$(echo $RPM_OPT_FLAGS | sed -e 's/-march=z[[:alnum:]]\+/-march=z9-109/g' -e 's/-mtune=z[[:alnum:]]\+/-mtune=z10/g')
%endif
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"

%configure --disable-rpath \
           --with-moonlight=no

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

# copy the mono.snk key into /etc/pki/mono
mkdir -p %{buildroot}%{_sysconfdir}/pki/mono
install -p -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/pki/mono/

# This was removed upstream:
# remove .la files (they are generally bad news)
rm -f %{buildroot}%{_libdir}/*.la
# remove Windows-only stuff
rm -rf %{buildroot}%{_monodir}/*/Mono.Security.Win32*
rm -f %{buildroot}%{_libdir}/libMonoSupportW.*
# remove .a files for libraries that are really only for us
rm %{buildroot}%{_libdir}/*.a
# remove libgc cruft
rm -rf %{buildroot}%{_datadir}/libgc-mono
# remove stuff that we don't package
rm -f %{buildroot}%{_bindir}/cilc
rm -f %{buildroot}%{_mandir}/man1/cilc.1*
rm -f %{buildroot}%{_monodir}/*/browsercaps-updater.exe*
rm -f %{buildroot}%{_monodir}/*/culevel.exe*
rm -f %{buildroot}%{_monodir}/2.0/cilc.exe*

rm -f %{buildroot}%{_monodir}/*/mscorlib.dll.so
rm -f %{buildroot}%{_monodir}/*/mcs.exe.so
rm -f %{buildroot}%{_monodir}/*/gmcs.exe.so
rm -f %{buildroot}%{_monodir}/4.0/dmcs.exe.so
rm -rf %{buildroot}%{_bindir}/mono-configuration-crypto
rm -rf %{buildroot}%{_mandir}/man?/mono-configuration-crypto*

# remove the mono-nunit files
rm -f %{buildroot}%{_bindir}/nunit-console
rm -f %{buildroot}%{_bindir}/nunit-console2
rm -f %{buildroot}%{_bindir}/nunit-console4
rm -f %{buildroot}%{_monodir}/4.5/nunit*
rm -Rf %{buildroot}%{_monodir}/gac/nunit*
rm -f %{buildroot}%{_libdir}/pkgconfig/mono-nunit.pc

# remove dmcs because it requires the .net 4.0 sdk but we only deliver 4.5 with Fedora (#1294967)
rm -f %{buildroot}%{_bindir}/dmcs

# drop prj2make because the binary is not built anymore
rm -f %{buildroot}%{_bindir}/prj2make
rm -f %{buildroot}%{_mandir}/man1/prj2make*

# Move upstream GDB scripts for security reasons of new GDB.
mkdir -p %{buildroot}%{_datadir}/gdb/auto-load%{_bindir}
%{__mv} -f %{buildroot}%{_bindir}/mono-gdb.py \
           %{buildroot}%{_datadir}/gdb/auto-load%{_bindir}/

# do not make cecil publicly available. other packages should use the mono-cecil package instead
rm -f %{buildroot}%{_libdir}/pkgconfig/cecil.pc

%find_lang mcs

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel -p /sbin/ldconfig

%postun devel -p /sbin/ldconfig

%files core -f mcs.lang
%doc COPYING.LIB NEWS README.md
%{_bindir}/mono
%{_bindir}/mono-test-install
%{_datadir}/gdb/auto-load/*
%ifnarch aarch64
# there is no support for aarch64 in the boehm back end
%{_bindir}/mono-boehm
%endif
%{_bindir}/mono-service2
%{_bindir}/mono-sgen
%{_bindir}/mono-sgen-gdb.py
%{_bindir}/mono-package-runtime
%{_bindir}/monograph
%{_bindir}/sgen-grep-binprot
%{_libdir}/mono/lldb/mono.py*
%mono_bin csharp
%mono_bin cert-sync
%mono_bin chktrust
%mono_bin gacutil
%mono_bin ikdasm
%mono_bin lc
%{_bindir}/gacutil2
%{_bindir}/mcs
%{_monodir}/4.5/mcs.exe*
%mono_bin mozroots
%mono_bin pdb2mdb
%mono_bin setreg
%mono_bin sn
%{_bindir}/mono-heapviz
%{_bindir}/mprof-report
%{_mandir}/man1/certmgr.1.gz
%{_mandir}/man1/chktrust.1.gz
%{_mandir}/man1/gacutil.1.gz
%{_mandir}/man1/mcs.1.gz
%{_mandir}/man1/mono.1.gz
%{_mandir}/man1/mozroots.1.gz
%{_mandir}/man1/setreg.1.gz
%{_mandir}/man1/sn.1.gz
%{_mandir}/man5/mono-config.5.gz
%{_mandir}/man1/csharp.1.gz
%{_mandir}/man1/pdb2mdb.1.gz
%{_mandir}/man1/lc.1.gz
%{_mandir}/man1/mprof-report.1.gz
%{_libdir}/libMonoPosixHelper.so*
%dir %{_monodir}
%dir %{_monodir}/4.5
%dir %{_monodir}/4.5/Facades
%dir %{_monodir}/gac
%gac_dll Commons.Xml.Relaxng
%gac_dll ICSharpCode.SharpZipLib
%gac_dll Mono.Debugger.Soft
%{_monogacdir}/Mono.Cecil
%gac_dll cscompmgd
%gac_dll Microsoft.VisualC
%gac_dll Mono.Cairo
%gac_dll Mono.CompilerServices.SymbolWriter
%gac_dll Mono.CSharp
%gac_dll System.Drawing
%gac_dll System.Deployment
%gac_dll Mono.Management
%gac_dll Mono.Posix
%gac_dll Mono.Security
%gac_dll Mono.Simd
%gac_dll System
%gac_dll System.Configuration
%gac_dll System.Core
%gac_dll System.Numerics.Vectors
%gac_dll System.Security
%gac_dll System.Xml
%gac_dll System.Reflection.Context
%gac_dll Mono.Tasklets
%gac_dll System.Net
%gac_dll System.Xml.Linq
%dir %{_sysconfdir}/mono
%dir %{_sysconfdir}/mono/mconfig
%config (noreplace) %{_sysconfdir}/mono/config
%config (noreplace) %{_sysconfdir}/mono/2.0/machine.config
%config (noreplace) %{_sysconfdir}/mono/2.0/settings.map
%{_libdir}/libmono*-2.0.so.*
%{_libdir}/libmono-profiler-*.so.*
%config (noreplace) %{_sysconfdir}/mono/4.0/*.config
%config (noreplace) %{_sysconfdir}/mono/4.0/settings.map
%config (noreplace) %{_sysconfdir}/mono/4.0/DefaultWsdlHelpGenerator.aspx
%config (noreplace) %{_sysconfdir}/mono/4.5/DefaultWsdlHelpGenerator.aspx
%config (noreplace) %{_sysconfdir}/mono/4.5/machine.config
%config (noreplace) %{_sysconfdir}/mono/4.5/settings.map
%config (noreplace) %{_sysconfdir}/mono/4.5/web.config
%dir %{_sysconfdir}/mono/4.0
%mono_bin ccrewrite
%{_monodir}/4.0-api
%{_monodir}/4.5-api
%{_monodir}/4.5/mscorlib.dll
%{_monodir}/4.5/mscorlib.dll.mdb
%gac_dll Microsoft.CSharp
%gac_dll System.Dynamic
%gac_dll Mono.Data.Tds
%gac_dll System.ComponentModel.Composition
%gac_dll System.EnterpriseServices
%gac_dll System.Data
%gac_dll System.Numerics
%gac_dll System.Runtime.Caching
%gac_dll System.Runtime.DurableInstancing
%gac_dll System.Runtime.InteropServices.RuntimeInformation
%gac_dll System.Transactions
%gac_dll System.Xaml
%gac_dll WebMatrix.Data
%ifarch %{ix86} x86_64
# there is no btls for non-x86
%gac_dll Mono.Btls.Interface
%endif
%gac_dll Mono.CodeContracts
%{_monodir}/mono-configuration-crypto/4.5/mono-config*
%{_monodir}/mono-configuration-crypto/4.5/Mono.Configuration.Crypto.dll*
%{_mandir}/man1/ccrewrite.1.gz
%{_mandir}/man1/cert-sync.1.gz
%gac_dll CustomMarshalers
%gac_dll I18N.West
%gac_dll I18N
%gac_dll System.Json
%gac_dll Mono.Parallel
%gac_dll System.Json.Microsoft
%{_monodir}/4.5/Facades/*.dll*
%gac_dll System.IO.Compression
%gac_dll System.IO.Compression.FileSystem
%gac_dll System.Net.Http
%gac_dll System.Net.Http.WebRequest
%gac_dll System.Threading.Tasks.Dataflow
%gac_dll System.Workflow.Activities
%gac_dll System.Workflow.ComponentModel
%gac_dll System.Workflow.Runtime

%files devel
%{_sysconfdir}/pki/mono/
%{_bindir}/mono-api-info
%{_monodir}/4.5/mono-api-info.exe*
%{_bindir}/mono-api-html
%{_monodir}/4.5/mono-api-html.exe*
%{_monodir}/4.5/linkeranalyzer.exe*
%mono_bin mono-symbolicate
%gac_dll SMDiagnostics
%mono_bin xbuild
%{_monodir}/4.5/xbuild.rsp
%mono_bin genxs
%{_monodir}/4.5/ictool*
%{_monodir}/4.5/mod*
%mono_bin al
%{_bindir}/al2
%mono_bin caspol
%mono_bin cert2spc
%mono_bin certmgr
%mono_bin dtd2rng
%mono_bin dtd2xsd
%mono_bin ilasm
%mono_bin installvst
%{_monodir}/4.5/installutil*
%mono_bin macpack
%mono_bin mkbundle
%mono_bin makecert
%mono_bin mono-cil-strip
%{_bindir}/mono-find-provides
%{_bindir}/mono-find-requires
%{_bindir}/monodis
%mono_bin monolinker
%mono_bin mono-shlib-cop
%mono_bin mono-xmltool
%mono_bin monop
%{_bindir}/monop2
%mono_bin permview
%{_bindir}/peverify
%mono_bin resgen
%{_bindir}/resgen2
%mono_bin sgen
%mono_bin secutil
%mono_bin signcode
%mono_bin cccheck
%mono_bin crlupdate
%mono_bin mdbrebase
%{_prefix}/lib/mono-source-libs/
%{_bindir}/pedump
%{_mandir}/man1/resgen.1.gz
%{_mandir}/man1/al.1.gz
%{_mandir}/man1/cert2spc.1.gz
%{_mandir}/man1/dtd2xsd.1.gz
%{_mandir}/man1/genxs.1.gz
%{_mandir}/man1/ilasm.1.gz
%{_mandir}/man1/macpack.1.gz
%{_mandir}/man1/makecert.1.gz
%{_mandir}/man1/mkbundle.1.gz
%{_mandir}/man1/mono-cil-strip.1.gz
%{_mandir}/man1/monodis.1.gz
%{_datadir}/mono-2.0/mono/cil/cil-opcodes.xml
%{_datadir}/mono-2.0/mono/profiler/mono-profiler-log.suppression
%{_mandir}/man1/monolinker.1.gz
%{_mandir}/man1/mono-shlib-cop.1.gz
%{_mandir}/man1/mono-symbolicate.1.gz
%{_mandir}/man1/mono-xmltool.1.gz
%{_mandir}/man1/monop.1.gz
%{_mandir}/man1/permview.1.gz
%{_mandir}/man1/secutil.1.gz
%{_mandir}/man1/sgen.1.gz
%{_mandir}/man1/signcode.1.gz
%{_mandir}/man1/xbuild.1.gz
%{_mandir}/man1/mono-api-info.1.gz
%{_mandir}/man1/cccheck.1.gz
%{_mandir}/man1/crlupdate.1.gz
%gac_dll PEAPI
%gac_dll Microsoft.Build
%gac_dll Microsoft.Build.Engine
%gac_dll Microsoft.Build.Framework
%{_monogacdir}/Microsoft.Build.Tasks.Core
%gac_dll Microsoft.Build.Tasks.v4.0
%gac_dll Microsoft.Build.Utilities.v4.0
%{_monogacdir}/Microsoft.Build.Utilities.Core
%{_monogacdir}/Microsoft.Build.Tasks.v12.0
%{_monogacdir}/Microsoft.Build.Utilities.v12.0
%gac_dll Mono.XBuild.Tasks
%gac_dll System.Windows
%gac_dll System.Xml.Serialization
%{_monodir}/4.5/Microsoft.Common.tasks
%{_monodir}/4.5/MSBuild/Microsoft.Build*
%{_monodir}/4.5/Microsoft.Build.xsd
%{_monodir}/4.5/Microsoft.CSharp.targets
%{_monodir}/4.5/Microsoft.Common.targets
%{_monodir}/4.5/Microsoft.VisualBasic.targets
%{_monodir}/xbuild/
%{_monodir}/xbuild-frameworks/
%{_libdir}/libikvm-native.so
%{_libdir}/libmono-profiler-*.so
%{_libdir}/libmono*-2.0.so
%{_libdir}/pkgconfig/dotnet.pc
%{_libdir}/pkgconfig/mono-cairo.pc
%{_libdir}/pkgconfig/mono.pc
%{_libdir}/pkgconfig/mono-2.pc
%{_libdir}/pkgconfig/monosgen-2.pc
%{_libdir}/pkgconfig/dotnet35.pc
%{_libdir}/pkgconfig/mono-lineeditor.pc
%{_libdir}/pkgconfig/mono-options.pc
%{_libdir}/pkgconfig/wcf.pc
%{_libdir}/pkgconfig/xbuild12.pc
%{_includedir}/mono-2.0/mono/jit/jit.h
%{_includedir}/mono-2.0/mono/metadata/*.h
%{_includedir}/mono-2.0/mono/utils/*.h
%{_includedir}/mono-2.0/mono/cil/opcode.def

%files locale-extras
%gac_dll I18N.CJK
%gac_dll I18N.MidEast
%gac_dll I18N.Other
%gac_dll I18N.Rare

%files extras
%mono_bin mono-service
%{_monogacdir}/mono-service
%gac_dll System.Configuration.Install
%gac_dll System.Management
%gac_dll System.Messaging
%gac_dll System.ServiceProcess
%gac_dll System.Runtime.Caching
%gac_dll System.Xaml
%gac_dll Mono.Messaging.RabbitMQ
%gac_dll Mono.Messaging
%gac_dll RabbitMQ.Client
%{_monodir}/4.5/RabbitMQ.Client.Apigen*
%{_mandir}/man1/mono-service.1.gz

%files reactive
%gac_dll System.Reactive.Core
%gac_dll System.Reactive.Debugger
%gac_dll System.Reactive.Experimental
%gac_dll System.Reactive.Interfaces
%gac_dll System.Reactive.Linq
%gac_dll System.Reactive.Observable.Aliases
%gac_dll System.Reactive.PlatformServices
%gac_dll System.Reactive.Providers
%gac_dll System.Reactive.Runtime.Remoting

%files reactive-winforms
%gac_dll System.Reactive.Windows.Forms
%gac_dll System.Reactive.Windows.Threading

%files reactive-devel
%_libdir/pkgconfig/reactive.pc

%files wcf
%gac_dll System.IdentityModel
%gac_dll System.IdentityModel.Selectors
%gac_dll System.ServiceModel
%gac_dll System.ServiceModel.Activation
%gac_dll System.ServiceModel.Discovery
%gac_dll System.ServiceModel.Internals
%gac_dll System.ServiceModel.Routing
%gac_dll System.ServiceModel.Web

%files web
%mono_bin disco
%mono_bin httpcfg
%mono_bin mconfig
%mono_bin soapsuds
%mono_bin svcutil
%mono_bin wsdl
%{_bindir}/wsdl2
%mono_bin xsd
%gac_dll Microsoft.Web.Infrastructure
%gac_dll Mono.Http
%gac_dll System.ComponentModel.DataAnnotations
%gac_dll System.Net.Http.Formatting
%gac_dll System.Runtime.Remoting
%gac_dll System.Runtime.Serialization.Formatters.Soap
%gac_dll System.Web
%gac_dll System.Web.Abstractions
%gac_dll System.Web.DynamicData
%gac_dll System.Web.Routing
%gac_dll System.Web.Services
%gac_dll System.Web.ApplicationServices
%gac_dll System.Web.Http
%gac_dll System.Web.Http.SelfHost
%gac_dll System.Web.Http.WebHost
%gac_dll System.Web.Razor
%gac_dll System.Web.WebPages
%gac_dll System.Web.WebPages.Deployment
%gac_dll System.Web.WebPages.Razor
%gac_dll System.Web.Mobile
%gac_dll System.Web.RegularExpressions
%{_mandir}/man1/disco.1.gz
%{_mandir}/man1/httpcfg.1.gz
%{_mandir}/man1/mconfig.1.gz
%{_mandir}/man1/soapsuds.1.gz
%{_mandir}/man1/wsdl.1.gz
%{_mandir}/man1/xsd.1.gz
%config (noreplace) %{_sysconfdir}/mono/browscap.ini
%config (noreplace) %{_sysconfdir}/mono/2.0/Browsers/Compat.browser
%config (noreplace) %{_sysconfdir}/mono/4.0/Browsers/Compat.browser
%config (noreplace) %{_sysconfdir}/mono/4.5/Browsers/Compat.browser
%config (noreplace) %{_sysconfdir}/mono/2.0/DefaultWsdlHelpGenerator.aspx
%config (noreplace) %{_sysconfdir}/mono/mconfig/config.xml
%config (noreplace) %{_sysconfdir}/mono/2.0/web.config

%files web-devel
%{_libdir}/pkgconfig/aspnetwebstack.pc

%files winforms
%gac_dll Accessibility
%gac_dll Mono.WebBrowser
%gac_dll System.Design
%gac_dll System.Drawing.Design
%gac_dll System.Windows.Forms
%gac_dll System.Windows.Forms.DataVisualization

%files mvc
%gac_dll System.Web.DynamicData
%gac_dll System.Web.Extensions
%gac_dll System.Web.Extensions.Design
%gac_dll System.Web.Mvc

%files mvc-devel
%{_libdir}/pkgconfig/system.web.extensions.design_1.0.pc
%{_libdir}/pkgconfig/system.web.extensions_1.0.pc
%{_libdir}/pkgconfig/system.web.mvc.pc
%{_libdir}/pkgconfig/system.web.mvc2.pc
%{_libdir}/pkgconfig/system.web.mvc3.pc

%files winfx
%gac_dll System.Data.Services.Client
%gac_dll WindowsBase

%files data
%mono_bin sqlsharp
%mono_bin sqlmetal
%gac_dll System.Data
%gac_dll System.Data.DataSetExtensions
%gac_dll System.Data.Entity
%gac_dll System.Data.Linq
%gac_dll System.Data.Services
%gac_dll System.Data.Services.Client
%gac_dll System.DirectoryServices
%gac_dll System.DirectoryServices.Protocols
%gac_dll System.EnterpriseServices
%gac_dll System.Runtime.Serialization
%gac_dll System.Transactions
%gac_dll Mono.Data.Tds
%gac_dll Novell.Directory.Ldap
%gac_dll WebMatrix.Data
%{_mandir}/man1/sqlsharp.1.gz

%files data-sqlite
%gac_dll Mono.Data.Sqlite

%files data-oracle
%gac_dll System.Data.OracleClient

%files -n ibm-data-db2
%gac_dll IBM.Data.DB2

%files -n monodoc
%{_monogacdir}/monodoc
%{_monodir}/monodoc/*
%ifnarch  ppc
%{_prefix}/lib/monodoc
%endif
%mono_bin mdoc
%{_bindir}/mod
%{_bindir}/mdoc-*
%{_bindir}/mdass*
%{_bindir}/mdval*
%{_bindir}/monodoc*
%{_mandir}/man1/md*
%{_mandir}/man1/monodoc*
%{_mandir}/man5/mdoc*

%files -n monodoc-devel
%{_libdir}/pkgconfig/monodoc.pc

%changelog
* Wed Mar 15 2017 Claudio Rodrigo Pereyra Diaz <elsupergomez@fedoraproject.org> - 4.8.0-7
- update to 4.8.0.520 Cycle 9 Service Release 0

* Thu Feb 23 2017 Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.8.0-6
- update to 4.8.0.495 Cycle 9 Stable Release

* Mon Feb 20 2017 Dan Horák <dan[at]danny.cz> - 4.8.0-5
- updates for s390x

* Fri Feb 17 2017 Claudio Rodrigo Pereyra Diaz <elsupergomez@fedoraproject.org> - 4.8.0-4
- don't exclude pedump on aarch64

* Fri Feb 17 2017 Claudio Rodrigo Pereyra Diaz <elsupergomez@fedoraproject.org> - 4.8.0-3
- Disable Mono.Btls.Interface for ppc64

* Fri Feb 17 2017 Claudio Rodrigo Pereyra Diaz <elsupergomez@fedoraproject.org> - 4.8.0-2
- Disable Mono.Btls.Interface for ARM and ppc64le

* Thu Feb 16 2017 Claudio Rodrigo Pereyra Diaz <elsupergomez@fedoraproject.org> - 4.8.0-1
- update to 4.8.0.489 Cycle 9 RC Refresh

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.6.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Jan 14 2017  Dan Horák <dan[at]danny.cz> - 4.6.2-4
- add a workaround for a gcc bug on s390x

* Wed Jan 04 2017 Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.6.2-3
- update to 4.6.2.16 Cycle 8 Service Release 2

* Tue Nov 29 2016 Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.6.2-2
- Non bootstrap build. Somehow the bootstrap flag was set during a merge gone wrong.

* Tue Nov 15 2016 Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.6.2-1
- update to 4.6.2.7 Cycle 8 Service Release 1

* Thu Oct 13 2016 Peter Robinson <pbrobinson@fedoraproject.org> - 4.6.1-6
- Non bootstrap build

* Wed Oct 12 2016 Peter Robinson <pbrobinson@fedoraproject.org> 4.6.1-4
- Enable bootstrap for aarch64

* Wed Oct 12 2016 Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.6.1-3
- update to 4.6.1.5 Cycle 8 Service Release 0 (updated)

* Mon Oct 10 2016 Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.6.1-2
- drop prj2make (#1381300)
- add a patch for building on aarch64 (#1371829)

* Wed Sep 28 2016 Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.6.1-1
- update to 4.6.1.3 Cycle 8 Service Release 0

* Wed Sep 21 2016 Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.6.0-7
- include patch for gacutil as suggested by directhex

* Wed Sep 14 2016 Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.6.0-6
- update to 4.6.0.245 Cycle 8 Stable

* Fri Sep 09 2016 Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.6.0-5
- update to 4.6.0.243 Cycle 8 Beta Preview 4

* Fri Sep 02 2016 Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.6.0-4
- update to 4.6.0.182 Cycle 8 Beta Preview 3

* Fri Aug 26 2016 Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.6.0-3
- update to 4.6.0.165 Cycle 8 Beta Preview 2

* Wed Aug 24 2016 Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.6.0-2
- drop patch for libgdiplus reference, it has been fixed upstream

* Tue Aug 23 2016 Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.6.0-1
- update to 4.6.0.150 Cycle 8 Beta Preview 1
- use Mono.Cecil from the tarball to build Mono, but do not make it public for other packages

* Tue Aug 16 2016 Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.4.2-3
- for bootstrap, there is no mono-cecil package, so we have to build Mono.Cecil from the mono tarball

* Fri Aug 05 2016 Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.4.2-2
- remove Mono.Cecil from mono-core, since there is a separate package for it (#1360620)

* Tue Aug 02 2016 Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.4.2-1
- update to 4.4.2.11 Cycle 7 Service Release 1

* Thu Jun 23 2016 Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.4.1-2
- Fix winforms problem with TrayIcon (#1284609)

* Wed Jun 22 2016 Claudio Rodrigo Pereyra Diaz <elsupergomez@fedoraproject.org> - 4.4.1-1
- update to 4.4.1.0 Cycle 7 Service Release 0

* Fri Jun 10 2016 Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.4.0-5
- update to 4.4.0.182 Cycle 7 Stable Release

* Tue Jun 07 2016 Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.4.0-4
- do not drop Microsoft targets files, they are needed for WebApplications (#1342852)

* Wed May 18 2016 Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.4.0-3
- update to 4.4.0.142 CYCLE 7 Beta Release Candidate
- tidy up the spec file for Epel builds

* Mon Apr 18 2016 Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.4.0-2
- update to 4.4.0.122 Cycle 7 Beta

* Thu Mar 17 2016 Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.4.0-1
- update to 4.4.0.40 Cycle 7 Alpha 2

* Thu Mar 03 2016  Dan Horák <dan[at]danny.cz> - 4.3.2-7
- enable hardened build on s390x (#1228570)

* Tue Mar 01 2016  Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.3.2-6
- Remove hardcoded lib directory for libMonoPosixHelper.so from the config (fixes #1313021)

* Mon Feb 29 2016 Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.3.2-5
- remove patch for asmx service documentation: that has been fixed upstream
- add a patch for s390x (#1311841)

* Sat Feb 27 2016 Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.3.2-4
- add symbolic link for 4.0-api to avoid having to replace TargetFramework 4.0 in csproj files

* Fri Feb 26 2016 Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.3.2-3
- fix RPM provides of assemblies that are not in the gac.
- fix for building from csproj files: need a symbolic link for 4.5-api instead of reference assemblies

* Thu Feb 25 2016 Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.3.2-2
- fix missing mscorlib

* Wed Feb 24 2016 Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.3.2-1
- update to 4.3.2.467 Cycle 7 Alpha

* Tue Feb 09 2016 Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.2.2-3
- add a patch so that the documentation for asmx is displayed again; fixing upstream bug #37137

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan 29 2016 Claudio Rodrigo Pereyra Diaz <elsupergomez@fedoraproject.org> - 4.2.2-1
- Update to 4.2.2.30 Cycle 6 – Service Release 1

* Mon Jan 25 2016 Than Ngo <than@redhat.com> - 4.2.1-9
- backport fix from upstream, fix build problem with gcc 4.4.7 on s390x

* Fri Jan 22 2016 Than Ngo <than@redhat.com> - 4.2.1-8
- fix build failure on s390, thanks to <Neale Ferguson>

* Mon Jan 18 2016 Than Ngo <than@redhat.com> - 4.2.1-7
- fix build failure on ppc

* Mon Jan 04 2016 Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.2.1-6
- another fix for gdb/auto-load mono-gdb.py. directory is owned by GDB

* Mon Jan 04 2016 Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.2.1-5
- Move mono-gdb.py under /usr/share/gdb/auto-load/ (#815501)

* Mon Jan 04 2016 Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.2.1-4
- replace define with global, according to http://fedoraproject.org/wiki/Packaging:Guidelines#.25global_preferred_over_.25define
- remove dmcs because it requires the .net 4.0 sdk but we only deliver 4.5 with Fedora (#1294967)

* Sat Jan 02 2016 Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.2.1-3
- apply patch to fix issues with libgdiplus.so.0 (#1251756)

* Sat Jan 02 2016 Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.2.1-2
- apply patch to fix build on ARM (#1293727)

* Tue Nov 17 2015 Claudio Rodrigo Pereyra Diaz <elsupergomez@fedoraproject.org> - 4.2.1-1
- Update to 4.2.1.102 Cycle 6

* Thu Nov 12 2015 Claudio Rodrigo Pereyra Diaz <elsupergomez@fedoraproject.org> - 4.0.5-1
- Update to 4.0.5.1 Cycle 5 – Service Release 5

* Thu Oct 29 2015 Than Ngo <than@redhat.com> - 4.0.4-2
- backport the patch to fix exception when reading from timezone file

* Fri Sep 11 2015 Claudio Rodrigo Pereyra Diaz <elsupergomez@fedoraproject.org> - 4.0.4-1
- Update to 4.0.4.1 Cycle 5 – Service Release 4

* Tue Aug 11 2015 Claudio Rodrigo Pereyra Diaz <elsupergomez@fedoraproject.org> - 4.0.3-1
- Update to 4.0.3.20

* Tue Aug 04 2015 Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.0.2-6
- do not build mono-nunit and mono-nunit-devel, there is an uptodate seperate package nunit instead (#1247825)

* Tue Jul 07 2015 Than Ngo <than@redhat.com> - 4.0.2-5
- non-bootstrap build

* Tue Jul 07 2015 Than Ngo <than@redhat.com> 4.0.2-4
- backport Bill Seurer's patch for ppc64
- fix unvalid TZ which causes exception
- disable hardening for ppc64
- enable bootstrap for ppc64/ppc64le

* Mon Jul 06 2015 Than Ngo <than@redhat.com> 4.0.2-3
- backport from upstream to fix handling of lo64 on big endian systems

* Thu Jul 02 2015  Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.0.2-2
- Update to 4.0.2.5 (4.0.2 SR 2)

* Fri Jun 19 2015 Claudio Rodrigo Pereyra Diaz <elsupergomez@fedoraproject.org> - 4.0.2-1
- Update to 4.0.2.4

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 05 2015 Dan Horák <dan[at]danny.cz> - 4.0.1-11
- update to 4.0.1.44

* Fri Jun 05 2015 Dan Horák <dan[at]danny.cz> - 4.0.1-10
- non-bootstrap build

* Fri Jun 05 2015 Dan Horák <dan[at]danny.cz> - 4.0.1-9
- disable hardening for ppc64le and s390x (#1224945, #1228570)
- enable bootstrap for s390x

* Tue May 19 2015 Peter Robinson <pbrobinson@fedoraproject.org> 4.0.1-8
- Build against system valgrind (fixes rhbz #1141480)

* Mon May 18 2015 Peter Robinson <pbrobinson@fedoraproject.org> 4.0.1-7
- Drop obsolete ppc and ia64 conditionals
- Rebuild for libgdiplus 3.12

* Mon May 18 2015 Peter Robinson <pbrobinson@fedoraproject.org> 4.0.1-6
- Rebuild post bootstrap

* Fri May 15 2015  Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.0.1-5
- fix nunit.pc to point to 4.5 dlls

* Wed May 13 2015  Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.0.1-4
- adding architecture ppc64le
- make clear we only need monolite for bootstrap
- enable parallel make

* Mon May 11 2015 Claudio Rodrigo Pereyra Diaz <elsupergomez@fedoraproject.org> - 4.0.1-3
- Update to tarball 4.0.1.28

* Tue Apr 28 2015  Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.0.1-2
- drop workaround for GetEncoding, monodevelop needs to require mono-locale-extras instead

* Mon Apr 27 2015  Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.0.1-1
- upgrading to Mono 4.0.1

* Fri Apr 24 2015 Claudio Rodrigo Pereyra Diaz <elsupergomez@fedoraproject.org> - 4.0.0-9
- Fix wrong obsolete for mono-entityframework
- Use mono_arches macro
- Better description for mono-extras

* Wed Apr 22 2015  Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.0.0-8
- workaround for problem with System.Text.Encoding GetEncoding, see Xamarin bug #29294

* Thu Apr 16 2015  Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.0.0-7
- no debuginfo package for Epel

* Wed Apr 15 2015  Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.0.0-6
- fix for rpm helpers, from Xamarin spec
- use find-provides and find-requires the same way as in Xamarin spec
- see https://github.com/directhex/xamarin-mono/blob/centos

* Tue Apr 14 2015 Claudio Rodrigo Pereyra Diaz <elsupergomez@fedoraproject.org> - 4.0.0-3
- Obsolete mono-data-postgresql subpackage
- Obsolete mono-entityframework subpackage
- Clean explicit Provides
- Fix macros to 4.5 profile

* Tue Apr 14 2015 Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.0.0-2
* exclude external binaries

* Wed Apr 08 2015 Timotheus Pokorra <timotheus.pokorra@solidcharity.com> - 4.0.0-1
* Mono 4 Alpha1

* Fri Mar 13 2015 Claudio Rodrigo Pereyra Diaz <elsupergomez@fedoraproject.org> - 3.12.1-1
- Mono 3.12.1 is a hotfix release to address vulnerabilities in Mono’s TLS stack.

* Fri Mar 06 2015 Claudio Rodrigo Pereyra Diaz <elsupergomez@fedoraproject.org> - 3.12.0-2
- Changet define to use new macros for mono
- Switch to use monolite for scratch building

* Wed Jan 14 2015 Claudio Rodrigo Pereyra Diaz <elsupergomez@fedoraproject.org> - 3.12.0-1
- Update to 3.12.0

* Fri Jan 09 2015 Claudio Rodrigo Pereyra Diaz <elsupergomez@fedoraproject.org> - 3.10.0-3
- add provider in mono-web to fix monodevelop dependency

* Mon Dec 01 2014 Claudio Rodrigo Pereyra Diaz <elsupergomez@fedoraproject.org> - 3.10.0-2
- Renamed rx to reactive
- Renamed rx-desktop to reactive-winforms
- Renamed rx-devel to reactive-devel
- Split EntityFramework to other package

* Fri Oct 17 2014 Claudio Rodrigo Pereyra Diaz <elsupergomez@fedoraproject.org> - 3.10.0-1
- Update to 3.10.0

* Wed Sep 10 2014 Claudio Rodrigo Pereyra Diaz <elsupergomez@fedoraproject.org> - 3.8.0-3
- Add comment for patch for libMonoPosixHelper references

* Fri Sep 05 2014 Claudio Rodrigo Pereyra Diaz <elsupergomez@fedoraproject.org> - 3.8.0-2
- Add patch to clean @prefix/lib path in libMonoPosixHelper references

* Fri Sep 05 2014 Claudio Rodrigo Pereyra Diaz <elsupergomez@fedoraproject.org> - 3.8.0-1
- Update to 3.8.0

* Tue Apr 01 2014 Claudio Rodrigo Pereyra Diaz <elsupergomez@fedoraproject.org> - 3.4.0-2
- Add patch to clean @prefix/lib path in libgdiplus references

* Tue Apr 01 2014 Claudio Rodrigo Pereyra Diaz <elsupergomez@fedoraproject.org> - 3.4.0-1
- Update to 3.4.0

* Thu Mar 20 2014 Claudio Rodrigo Pereyra Diaz <elsupergomez@fedoraproject.org> - 3.2.8-1
- Update to 3.2.8

* Tue Jan 28 2014 Claudio Rodrigo Pereyra Diaz <elsupergomez@fedoraproject.org> - 3.2.6-1
- Update to 3.2.6

* Thu Nov 21 2013 Claudio Rodrigo Pereyra Diaz <elsupergomez@fedoraproject.org> - 3.2.3-2
- Add Provides: from monodevelop 4 not properly resolved

* Tue Nov 05 2013 Claudio Rodrigo Pereyra Diaz <elsupergomez@fedoraproject.org> - 3.2.3-1
- Update to 3.2.3
- Add patch to fix symlinks
- Add rx, rx-desktop and rx-devel subpackages
- Spec clean up

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.10.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.10.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.10.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Apr 16 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 2.10.8-2
- Add build work around for building on ARM hardfp
- spec cleanups

* Tue Jan 03 2012 Christian Krause <chkr@fedoraproject.org> - 2.10.8-1
- Update to 2.10.8

* Thu Dec 15 2011 Karsten Hopp <karsten@redhat.com> 2.10.6-3
- disable mcs-docs on ppc as a workaround for bugzilla 673549, but
  include files that don't depend on the mcs-docs configure parameter

* Sun Oct 23 2011 Christian Krause <chkr@fedoraproject.org> - 2.10.6-2
- Change paths for mono assemblies according to updated packaging
  guidelines (http://fedoraproject.org/wiki/Packaging:Mono)

* Sat Oct 15 2011 Christian Krause <chkr@fedoraproject.org> - 2.10.6-1
- Update to 2.10.6

* Tue Sep 20 2011 Karsten Hopp <karsten@redhat.com> 2.10.5-1.1
- disable monodoc* on ppc (#673549)

* Sun Aug 28 2011 Christian Krause <chkr@fedoraproject.org> - 2.10.5-1
- Update to 2.10.5

* Tue Apr 26 2011 Christian Krause <chkr@fedoraproject.org> - 2.10.2-1
- Update to 2.10.2

* Tue Apr 19 2011 Dan Horák <dan[at]danny.cz> 2.10.1-6
- fix non-x86 builds

* Sun Apr 03 2011 Christian Krause <chkr@fedoraproject.org> - 2.10.1-5
- Correctly obsolete mono-4-preview in mono-core

* Wed Mar 30 2011 Christian Krause <chkr@fedoraproject.org> - 2.10.1-4
- More fixes to avoid -devel dependency (BZ 671917)

* Sun Mar 27 2011 Christian Krause <chkr@fedoraproject.org> - 2.10.1-3
- Add deleted changelog entry
- Fix ExclusiveArch entry for arm (see git commit bbed3987249c)

* Sun Mar 27 2011 Christian Krause <chkr@fedoraproject.org> - 2.10.1-2
- Move sources into lookaside cache
- Merge mono-4 into mono-core and appropriate sub-packages
- Ensure that the symbolic links and the actual libraries in the GAC are
  always in the same sub-package
- Move xbuild into -devel sub-package (BZ 671917)

* Mon Mar 07 2011 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.10.1-1
- Bump to 2.10.1
- Update libdir and metadata patches
- Remove moonlight build patch
- Renamed mono-4-preview to mono-dotnet4, removed as an option
- Corrected mono-dotnet4 description
- spec file clean up

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 07 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.8.1-1
- Bump to latest bug release version
- Fix libgdiplus config patch
- Add moonlight build patch
- Disable moonlight profile (currently broken)
- Minor spec file changes

* Wed Nov 24 2010 Dan Horák <dan[at]danny.cz> 2.8-9
- mono 2.8+ dropps support for s390

* Tue Nov 23 2010 Dan Horák <dan[at]danny.cz> 2.8-8
- enable C# 4.0 for everyone
- AOT works only on x86/x86_64 and ARM
- the *.so files exist only on AOT platforms

* Tue Oct 26 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.8-7
- Add fix for monodis to be built when moonlight=yes is used

* Wed Oct 20 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.8-6.1
- Removed mono-sgen from mono-devel (for now)

* Tue Oct 19 2010 paul <paul@all-the-johnsons.co.uk> - 2.8-5
- rebuilt

* Tue Oct 19 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.8-4
- Remove sgen compilation (should fix 64 bit build problems)

* Thu Oct 14 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.8-3
- Remove m32 CFLAGS

* Wed Oct 13 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.8-2
- Fix URL
- Attempt to fix 64 bit build problem by adding -m32 to the CFLAGS

* Thu Oct 07 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.8-1.1
- Bump to full release

* Sat Oct 02 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.8-1
- Bump to preview 8 of 2.8 release
- Remove .NET 1.1 code
- Update ppc threading patch
- Update patch1 and 5 and rename
- Combine patches 2 and 7 (why two libdir patches?)
- Remove jay from the install step
- Realise that spelling is quite imporgtint...
- Big changes to the spec file to bring it into line with Novell's fixes
- New mvc, mvc-devel and winfx subpackages
- Some parts of the mono-web subpackage moved to mvc
- Fix the macro which looked for 1.0 things
- Remove and obsoletes mono-jscript
- Remove and obsolete data-sybase and data-firebird
- Modify macros to make sense now the 1.0 stuff has gone
- Extend the 4.0 subpackage to include lots of new stuff

* Wed Jul 21 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.6.7-3
- Bump to full release
- Remove patch 8 (preview-4 patch)
- Put Build.Utilities.v4 back into the core part as it's needed in core

* Thu Jul 15 2010 Dan Horák <dan[at]danny.cz> - 2.6.7-2
- conditionalize the C# 4.0 support, don't build it on s390(x)

* Tue Jul 13 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.6.7-1
- Update to 2.6.7 release candidate 1
- Change libgdiplus BR version to 2.6.7
- Drop xbuild patch (fixed in source)
- Add patch from novell to get the preview-4 to build
- Add additional dlls etc normally found with a bump...

* Thu Jul 08 2010 Christian Krause <chkr@fedoraproject.org> - 2.6.4-4
- Add upstream patch to fix xbuild (BZ 612233, 
  https://bugzilla.novell.com/show_bug.cgi?id=485841)

* Sun Jun 06 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.6.4-3
- Fix for x86_64 mono-cairo.pc

* Sun May 30 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.6.4-2
- Fix libs for monodoc on x86_64

* Tue Apr 27 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.6.4-1
- Bump to 2.6.4 release
- BR now requires libgdiplus-2.6.4
- Updated libdir patch
- Spec cleanup

* Fri Mar 19 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.6.3-2
- Forgt to add the obsoletes and provides for the new name mono-4-preview

* Fri Mar 19 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.6.3-1
- Bump to bugfix release
- Added RabbitMQ to extras
- Spec fix
- Correct the name for mono-4-preview

* Mon Feb 22 2010 Christian Krause <chkr@fedoraproject.org> - 2.6.1-2
- Fix upgrade path F12 -> F13 by obsoleting and providing mono-moonlight
- Minor spec file cleanup

* Mon Dec 21 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.6.1-1
- Minor fixes

* Wed Dec 16 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.6-4
- Add in the version 4 previews (subpackage)
- Add in new soft debugger

* Tue Dec  1 2009 Tom "spot" Callaway <tcallawa@redhat.com> 2.6-3
- perms on mono.snk should be 0644

* Tue Dec  1 2009 Tom "spot" Callaway <tcallawa@redhat.com> 2.6-2
- generate and package mono.snk for packages without bundled keys to use
- put mono.snk in /etc/pki/mono/
- package /etc/pki/mono/* in mono-devel

* Wed Sep 30 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.6-1
- Bump to 2.6
- Fix metadata makefiles patch
- Removed metadata-appconf patch (not required)
- Removed moonlight subpackage
- Fix configure options

* Tue Aug 25 2009 Michel Salim <salimma@fedoraproject.org> - 2.4.2.3-2
- Rearrange assemblies to properly fix bz 434709:
  * mono-core can now be installed on its own, no longer pulling in
    monodoc, mono-extras and mono-web
  * mono-web no longer pull in mono-extras

* Wed Jul 29 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4.2.3.1
- Update to 2.4.2.3

* Fri Jul 17 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4.2.2-1
- Patch for cve-2009-0217

* Thu Jul 09 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4.2.1-1
- Bump to 2.4.2.1 release
- Add system.web.mvc

* Tue Jun 30 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4.2-5
- Bump to 2.4.2 official release
- Move mkbundle2 to devel (BZ 497187)

* Mon Jun 22 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4.2-4
- Bump to 2.4.2 RC 1

* Wed Jun 17 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4.2-3
- Bump to 2.4.2 preview 2
- Fix libgdiplus winform patch

* Sun Jun 14 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4.2-2
- Fix metadata makefile (duplicates appconf.h during make install)
- Move System.Web to mono-core (bz 434709)
- Move System.Configuration.Install to mono-core (bz 434709)

* Tue Jun 09 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4.2-1
- Bump to 2.4.2 preview
- remove ppc glocks patch

* Wed Apr 15 2009 Toshio Kuratomi <toshio@fedoraproject.org> 2.4-19
- And turn off bootstrapping and make sure it rebuilds on all platforms.

* Wed Apr 15 2009 Toshio Kuratomi <toshio@fedoraproject.org> 2.4-18
- Enable bootstrap code and ppc64.  If this succeeds we'll build -19 right
  afterwards with bootstrap code turned off.
  Remember: you can't merge the ppc64 enabling to older branches without first
  bootstrapping once.

* Tue Apr 14 2009 Toshio Kuratomi <toshio@fedoraproject.org> 2.4-17
- Update to 2.4 final.
- Statically link mono to libmono to work around bz #494026

* Mon Apr 13 2009 Dennis Gilmore <ausil@fedoraproject.org> - 2.4-16
- set sparc32 to build sparcv9

* Mon Apr 13 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 2.4-15
- Revert to RC1 with changes to the spec file such as enabling moonlight so
  that we have a working build for F11.

* Mon Apr 13 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 2.4-14
- Remove bootstrap changes as it's not necessary.
- remove ppc64 as we only had ppc before.
- Correct release number format
- Fix Source and URL.

* Fri Apr 10 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 2.4-13.2
- Re-enable PPC and PPC64
- sub point build for scratch build and bootstrap

* Mon Apr 06 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 2.4-13.1
- Remove ppc support
- moonlight parts are now in their own subpackage

* Thu Apr 02 2009 Xavier Lamien <lxtnow@gmail.com> - 2.4-13
- Enable moonlight support.

* Thu Mar 26 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4-12
- Full 2.4 release

* Wed Mar 18 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4-11.RC3
- Bump to RC3

* Tue Mar 10 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4-10.RC2
- Bump to RC2

* Sat Mar 07 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4-9.RC1
- Fix libdir issue with mono-cairo

* Fri Feb 27 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4-8.RC1
- Built using official tarball release
- BR now uses libgdiplus >= 2.4
- Bump to RC1

* Tue Feb 10 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4-6.pre2.20091002svn126522
- Update from svn
- removed big array support (seems to be causing some problems)
- removed genxs2

* Thu Feb 05 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4-5.pre2.20090502svn125515
- Update from svn
- rename to pre2

* Sat Jan 24 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4-2.20092401svn124412
- Update from svn
- Added support for big arrays (64 bit archs only)

* Sun Jan 18 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4-1.20091801svn123751
- Update from svn

* Fri Jan 16 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4-1.20091601svn123642
- Move to 2.4 branch
- Update from svn

* Sun Jan 11 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-17.RC2.20091101svn122991
- Updates from svn
- Change to RC2
- Removed mono-api-diff.exe and transform.exe from spec
- Fixes some problems with winforms on some boxes
- Added gettext-devel

* Sun Jan 04 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-15.RC1.20090401svn122388
- Updates from svn

* Wed Dec 31 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-15.RC1.20081231svn122288
- Important updates from svn

* Mon Dec 29 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-15.RC1.20081229svn122181
- Update from svn

* Tue Dec 23 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-14.RC1.20081223svn122032
- Remove ppc self-build parts and ppc reordering patch
- Update from svn
- Minor spec file cleanups

* Fri Dec 19 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-14.pre3.20081219svn121833
- Get PPC to build itself, will be disabled from the next build

* Fri Dec 19 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-13.pre3.20081219svn121833
- Lots more fixes
- New patch for ppc archs
- Re-enable ppc build

* Wed Dec 17 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-12.pre3.20081217svn121664
- Fix libdir issue with monodoc

* Tue Dec 16 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-11.pre3.20081216svn121605
- Fixes problems with web references
- Fixes x86_64 build problems
- Added new web-devel subpackage

* Mon Dec 15 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-11.pre3.20081215svn121536
- Exclude ppc due to build problems (temporary)
- Moved to pre3 in sync with Novell releases

* Wed Dec 10 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-10.pre2.20081215svn121507
- removed the winform patch
- move to svn
- removed files no longer built
- removed vbnc manual

* Tue Dec 09 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-9.pre2
- remove the seds and just use patches

* Fri Dec 05 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-8.pre2
- Bump to 2.2 preview 2
- More sed fixes

* Thu Dec 04 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-7.pre1
- Add fix so that winforms doesn't need libgdiplus-devel
- Add fix so the sed script works correctly on x86_64

* Sun Nov 30 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-6.pre1
- missed a sed invocation

* Sun Nov 30 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-5.pre1
- new patch for winforms problems
- reorganised patches
- use sed to fix the incorrect libdir issues - experimental!!!!

* Wed Nov 26 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-4.pre1
- mono.pc libfile fix

* Tue Nov 25 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-2.pre1
- fix monodoc libdir issues

* Tue Nov 25 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-1.1.pre1
- rebuild

* Tue Nov 18 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-1.pre1
- Bump to 2.2 preview 1
- remove old patches
- add build information for monodoc

* Sun Nov 02 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0.13
- Add in mono-api-diff and mono-api-info

* Fri Oct 24 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0.12
- Update to 2.0.1
- remove selinux patch
- remove s390 disable

* Tue Oct 21 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-11.2
- fixed no ownership of etc-mono-mconfig directory

* Sat Oct 18 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-11.1
- fix the last fix...

* Thu Oct 16 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-11
- correct libdir in mono-cairo.pc file (BZ 467294)

* Fri Oct 03 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-10
- bump to RC4

* Sun Sep 28 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-9
- backported binaryserialisation and datatable patches
- backported stringreplace optimisation
- bump to RC3

* Thu Sep 18 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-8
- MimeIcon patch added

* Wed Sep 17 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-7
- TableLayoutSettings fix (bz 462005)

* Tue Sep 09 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-6
- Bump to RC1
- Removed XIM patch
- Added additional configure options
- Fixed spec file

* Fri Aug 29 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-5
- moved libMonoPosixHelper back to the main package

* Fri Aug 22 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-4
- fix for XIM with en_GB.UTF locale plus others

* Mon Aug 18 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-3
- removed canna-devel requirements
- bump to preview 2
- removed further bits for moonlight

* Sun Aug 17 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-2
- added Canna-devel BR and R Canna for mwf
- removed the build of moonlight parts
- disable-static on configure

* Sat Aug 02 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-1
- bump to 2.0 preview 1
- alter licence to MIT only
- renamed and clean up patch files
- spec file fixes

* Mon Apr 21 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.9.1-2
- pc file fixes

* Tue Apr 15 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.9.1-1
- bump to new beta

* Fri Apr 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.9-7
- since we're not bootstrapping with prebuilt binaries, BR: mono-core

* Fri Apr 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.9-6
- Remove prebuilt binaries

* Wed Apr 09 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.9-5
- fix licensing

* Mon Apr 07 2008 Xavier Lamien <lxtnow@gmail.com> - 1.9-4
- Added undeclared function bug #xxxx.

* Mon Mar 17 2008 Xavier Lamien <lxtnow@gmail.com> - 1.9-3
- Added require on mono-nunit-devel

* Thu Mar 06 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.9-2
- bump to preview 4

* Mon Feb 04 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.9-1
- bump to preview 2
- spec file fixes

* Wed Dec 19 2007 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.2.6-6.1
- added BR libunwind-devel for ia64 (bz426180)
- fix for LIBDIR problem

* Sun Dec 16 2007 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.2.6-4
- bump new version
- removed more redundant bits
- url fix

* Thu Nov 22 2007 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.2.6-1
- bump to preview 2
- removed redundant bits of the spec file

* Thu Nov 15 2007 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.2.5.2-2
- Added R libgdiplus to the winforms package. Fixes BZ 380131

* Sun Nov 11 2007 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.2.5.2-1
- Bump to next version

* Fri Nov  9 2007 Ray Strode <rstrode@redhat.com> - 1.2.5.1-4
- Apply dropped patch (bug 371781), found by Eskil Bylund

* Wed Nov  7 2007 Alexander Larsson <alexl@redhat.com> - 1.2.5.1-3
- Fix overflow in Mono.Math.BigInteger class (#367551)
  CVE-2007-5197

* Fri Oct 05 2007 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 1.2.5.1-1
- bump
- added new parts (mono-linker, resgen and mono-cecil)

* Sat Apr 21 2007 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 1.2.4-1
- update from 1.2.3

* Sun Apr  1 2007 Matthias Clasen <mclasen@redhat.com> - 1.2.3-3
- Fix a spec format error (#210633)

* Thu Mar 29 2007 Alexander Larsson <alexl@redhat.com> - 1.2.3-2
- Also build on alpha (#232268)

* Thu Feb  8 2007 Alexander Larsson <alexl@redhat.com> - 1.2.3-1
- update to 1.2.3

* Mon Dec  4 2006 Alexander Larsson <alexl@redhat.com> - 1.2.2-1
- update to 1.2.2
- Mark config files as noreplace
- Require pkgconfig in mono-devel
- Run ldconfig in post/postun

* Thu Oct 12 2006 Alexander Larsson <alexl@redhat.com> - 1.1.17.1-3
- Don't use slow TLS approach under xen (#210001) 

* Fri Oct  6 2006 Caolan McNamara <caolanm@redhat.com> - 1.1.17.1-2
- CVE-2006-5072

* Mon Sep  4 2006 Alexander Larsson <alexl@redhat.com> - 1.1.17.1-1
- update to 1.1.17.1
- Add one file nunit-devel package due to packaging guidelines (#205056)

* Fri Aug 18 2006 Alexander Larsson <alexl@redhat.com> - 1.1.16.1-2
- Move gac to libdir to be multilib compat
- rename mono-devtools back to mono-devel
- kill mono-lib and mono-lib-devel

* Thu Aug 10 2006 Alexander Larsson <alexl@redhat.com> - 1.1.16.1-1
- Update to 1.1.16.1
- Split out mono libs and devel headers to fix lib64 conflicts (#199790)

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.1.16-1.1
- rebuild

* Fri Jul  7 2006 Alexander Larsson <alexl@redhat.com> - 1.1.16-1
- update to 1.1.16

* Wed Jun  7 2006 Alexander Larsson <alexl@redhat.com> - 1.1.15-1
- Disabled s390 & s390x for now due to build failure
- Update to 1.1.15

* Wed Apr 26 2006 Alexander Larsson <alexl@redhat.com> - 1.1.13.7-2
- Update to 1.1.13.7

* Fri Mar 10 2006 Bill Nottingham <notting@redhat.com> - 1.1.13.4-2
- rebuild for ppc TLS issue (#184446)

* Fri Mar  3 2006 Christopher Aillon <caillon@redhat.com> - 1.1.13.4-1
- Update to 1.1.13.4
- Add patch so mono doesn't segfault on PPC SMP machines
- Minor spec cleanup

* Thu Mar  2 2006 Ray Strode <rstrode@redhat.com> - 1.1.13.2-5
- Updated patch from Jakub (1.1.13.2-3 to 1.1.13.2-5 are 
  for bug 182965)

* Tue Feb 28 2006 Ray Strode <rstrode@redhat.com> - 1.1.13.2-4
- Updated patch from Paolo Molaro <lupus@ximian.com>

* Mon Feb 27 2006 Ray Strode <rstrode@redhat.com> - 1.1.13.2-3
- Patch from Jakub to make work with SELinux better

* Sun Feb 12 2006 Christopher Aillon <caillon@redhat.com> - 1.1.13.2-2
- Rebuild

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.1.13.2-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Jan 31 2006 Christopher Aillon <caillon@redhat.com> - 1.1.13.2-1
- Update to 1.1.13.2

* Fri Jan 13 2006 Alexander Larsson <alexl@redhat.com> - 1.1.13-1
- Update to 1.13
- Add libgdiplus dep to mono-core
- Add s390x to build

* Mon Jan  9 2006 Alexander Larsson <alexl@redhat.com> - 1.1.12.1-1
- Update to 1.1.12.1

* Mon Jan  9 2006 Alexander Larsson <alexl@redhat.com> - 1.1.10-4
- rebuild

* Fri Nov 18 2005 Alexander Larsson <alexl@redhat.com> 1.1.10-3
- Disable s390 due to some build failure

* Thu Nov 17 2005 Alexander Larsson <alexl@redhat.com> 1.1.10-2
- Build on s390 and x86-64 now

* Tue Nov 15 2005 Alexander Larsson <alexl@redhat.com> - 1.1.10-1
- Initial version
